cURL
curl --request POST \ --url https://api-beta.pepay.io/api/commerce/merchant/carts \ --header 'Content-Type: application/json' \ --header 'x-commerce-api-key: <api-key>' \ --data ' { "wallet_address": "<string>", "wallet_network": "ethereum", "customer_id": "<string>", "item": { "productId": "<string>", "retailer": "<string>", "quantity": 123, "price": 123, "title": "<string>", "imageUrl": "<string>" } } '
201
initialized
{ "success": true, "message": "Cart initialized", "data": { "merchantId": 123, "customerId": "cust_123", "walletAddress": null, "walletNetwork": null, "items": [], "subtotal": 0, "itemCount": 0, "createdAt": null, "updatedAt": null } }
Create a new cart for a customer, optionally with an initial item
Legacy alias for commerce-scoped API keys. Prefer x-api-key with scope=commerce.
x-api-key
^0x[a-fA-F0-9]{40}$
ethereum
bsc
base
solana
255
Show child attributes
Cart created successfully
true
Initialized cart snapshot
Was this page helpful?